/*
 * Copyright  2005 Steve Whitley / NullFX Software
 * 
 * It is a violation of your purchase agreement to remove this text
 * This source may not be redistributed in any way shape or form
 * 
 */
using System;
using System.Runtime.Serialization;

namespace NullFX.Net {
    /// <summary>
    /// Defines an FTP authentication exception
    /// </summary>
    public class FtpAuthenticationException : Exception {
        /// <summary>
        /// Creates a new default instance of the FTP authentication exception
        /// </summary>
        public FtpAuthenticationException() { }
        /// <summary>
        /// Creates a new FTP authentication exception with a message
        /// </summary>
        /// <param name="message">the exception message</param>
        public FtpAuthenticationException(string message) : base(message) { }
        /// <summary>
        /// Creates a new FTP authentication exception with a message and inner exception
        /// </summary>
        /// <param name="message">the exception message</param>       
        /// <param name="e">the inner exception</param>
        public FtpAuthenticationException(string message, Exception e) : base(message, e) { }

        protected FtpAuthenticationException( SerializationInfo info, StreamingContext context ) : base( info, context ) { }
                                                                                             
    }
}
