/*
 * Copyright  2005 Steve Whitley / NullFX Software
 * 
 * It is a violation of your purchase agreement to remove this text
 * This source may not be redistributed in any way shape or form
 * 
 */
using System;
using System.Runtime.Serialization;

namespace NullFX.Net {
    /// <summary>
    /// Represents and FTP operation exception
    /// </summary>
    public class FtpOperationException : Exception {
        /// <summary>
        /// Gets and sets the additional information
        /// </summary>
        public object AdditionalInfo { get; set; }
        /// <summary>
        /// Creates a default FTP operation exception
        /// </summary>
        public FtpOperationException() { }

        /// <summary>
        /// Creates an FTP exception with a message
        /// </summary>
        /// <param name="message">the exception message</param>
        public FtpOperationException(string message) : base(message) { }

        /// <summary>
        /// Creates an FTP exception with a message and inner exception
        /// </summary>
        /// <param name="message">the exception message</param>
        /// <param name="e">the inner exception</param>
        public FtpOperationException(string message, Exception e) : base(message, e) { }

        protected FtpOperationException( SerializationInfo info, StreamingContext context ) : base( info, context ) { }
                                                                                        
    }
}
