/*
 * Copyright  2005 Steve Whitley / NullFX Software
 * 
 * It is a violation of your purchase agreement to remove this text
 * This source may not be redistributed in any way shape or form
 * 
 */
namespace NullFX.Net {
    /// <summary>
    /// An enumeration representing the network security flags
    /// </summary>
    public enum NetworkSecurityFlags {
        /// <summary>
        /// Standard FTP protocol: plain text transmissions
        /// </summary>
        StandardFtp = 1,
        /// <summary>
        /// the socket being connected to will require a TLS connection be established before an FTP session can occur
        /// </summary>
        ImpliedTls = 2,
        /// <summary>
        /// a standard FTP connection will be established, then client will explicitly ask for a TLS connection
        /// </summary>
        AuthTls = 4,
    }
}
