/*
 * Copyright  2005 Steve Whitley / NullFX Software
 * 
 * It is a violation of your purchase agreement to remove this text
 * This source may not be redistributed in any way shape or form
 * 
 */
using System;

namespace NullFX.Net {
    /// <summary>
    /// An enumeration representing the certificate validation mode
    /// </summary>
    [Flags]
    public enum ServerCertificateValidationMode {
        /// <summary>Allows everything</summary>
        AllowAny,
        /// <summary>Allows only manual validation (through the FTP client's events)</summary>
        ManualValidationThroughValidationEvent = 0x1,
        /// <summary>Allows only certificates who's name match</summary>
        RequireMatchingNames = 0x2,
        /// <summary>Allows certificates with no chain errors</summary>
        RequireNoChainErrors = 0x4
    }
}
