﻿/*
 * Copyright © 2005 Steve Whitley / NullFX Software
 * 
 * It is a violation of your purchase agreement to remove this text
 * This source may not be redistributed in any way shape or form
 * 
 */
using System;

namespace NullFX.Net {
    /// <summary>
    /// An event object representing transfer progress
    /// </summary>
    public class TransferProgressEventArgs : EventArgs {
        readonly int bytesTransferred;

        /// <summary>
        /// Gets the number of bytes transferred
        /// </summary>
        public int BytesTransferred {
            get { return bytesTransferred; }
        }

        /// <summary>
        /// Creates a transfer progress event arg object
        /// </summary>
        /// <param name="bytesTransferred">the number of bytes transferred</param>
        public TransferProgressEventArgs( int bytesTransferred ) {
            this.bytesTransferred = bytesTransferred;
        }
    }
}
